Skip to main content
PUT
/
compute
/
script
/
{id}
/
variables
Upsert Variable
curl --request PUT \
  --url https://api.bunny.net/compute/script/{id}/variables \
  --header 'AccessKey: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "Name": "<string>",
  "Required": true,
  "DefaultValue": "<string>"
}
'
import requests

url = "https://api.bunny.net/compute/script/{id}/variables"

payload = {
"Name": "<string>",
"Required": True,
"DefaultValue": "<string>"
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({Name: '<string>', Required: true, DefaultValue: '<string>'})
};

fetch('https://api.bunny.net/compute/script/{id}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "Id": 123,
  "Name": "<string>",
  "Required": true,
  "DefaultValue": "<string>"
}
{
"Id": 123,
"Name": "<string>",
"Required": true,
"DefaultValue": "<string>"
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

id
integer<int64>
required

The ID of the script which will have the variable upserted

Body

application/json

The variable that will be upserted

Name
string
required
Required string length: 1 - 256
Required
boolean | null
DefaultValue
string | null
Maximum string length: 4096

Response

The variable was created

Id
integer<int64>
Name
string | null
Required
boolean
DefaultValue
string | null
Last modified on June 26, 2026